Page MenuHomePhabricator

Publish Replying deployment plan on MediaWiki
Closed, ResolvedPublic

Description

This task is about publishing how we are planning to deploy the Replying feature to Wikipedia wikis.

Deployment plan

Draft: https://office.wikimedia.org/wiki/User:PPelberg_(WMF)/sandbox#Deployment_process

Done

Details

Due Date
Feb 14 2020, 5:00 AM

Event Timeline

ppelberg created this task.Feb 11 2020, 3:26 PM
JTannerWMF set Due Date to Feb 14 2020, 5:00 AM.Feb 11 2020, 4:26 PM

11-February:
You can see the [rough] draft of what I am planning for us to post to the Replying project page [1] on office wiki (limited access) here: https://office.wikimedia.org/wiki/User:PPelberg_(WMF)/sandbox#Deployment_process


  1. https://www.mediawiki.org/wiki/Talk_pages_project/replying
ppelberg updated the task description. (Show Details)

https://office.wikimedia.org/wiki/User:PPelberg_(WMF)/sandbox#Deployment_process is okay. I have two suggestions for improvement:

  1. Add some dates. Even "February" or "April" is useful.
  2. Think about how this interacts with the v1.1 and v2.0 releases. Version 1 is just a bare-bones empty box for typing in, and the future changes are probably going to be popular, but you'd never want to make it opt-out on Tuesday and switch to v 2.0 on Wednesday.
JTannerWMF added a subscriber: JTannerWMF.

Peter is going to work on this today and include @Whatamidoing-WMF comments.

This feedback is helpful – thank you, Sherry. Responses and a resulting question to the points you raised below.

In the meantime, the latest version of the draft can be found here: https://office.wikimedia.org/wiki/User:PPelberg_(WMF)/sandbox#Deployment

  1. Add some dates. Even "February" or "April" is useful.

Good call. I've changed the draft some and created a "Deployment status" section wherein I included information about dates. See: https://office.wikimedia.org/wiki/User:PPelberg_(WMF)/sandbox#Deployment_status

  1. Think about how this interacts with the v1.1 and v2.0 releases. Version 1 is just a bare-bones empty box for typing in, and the future changes are probably going to be popular, but you'd never want to make it opt-out on Tuesday and switch to v 2.0 on Wednesday.

I agree with the point you're raising about us not wanting anyone to be surprised by changes.

  • Question: Do you think it's sufficient for us to broadly committing to not releasing any new version of the software before in an "opt-out state" before contributors to that wiki have had a chance to try it as a Beta Feature?

Next steps

ppelberg closed this task as Resolved.Feb 28 2020, 12:35 AM

Update: 27-Feb

  • Question: Do you think it's sufficient for us to broadly committing to not releasing any new version of the software before in an "opt-out state" before contributors to that wiki have had a chance to try it as a Beta Feature?

Outcomes of the conversation @Whatamidoing-WMF and I had today:

  • Draft is ready for posting
  • We agreed no version of the software should be released before contributors have the opportunity to try it.

And with that, the deployment plan has been posted: https://www.mediawiki.org/w/index.php?title=Talk_pages_project%2Freplying&type=revision&diff=3683989&oldid=3666196

ppelberg updated the task description. (Show Details)Feb 28 2020, 12:35 AM